gr::dab::valve_ff Class Referenceabstract

lets samples pass or not depending on the state of closed More...

`#include <valve_ff.h>`

Inheritance diagram for gr::dab::valve_ff:
[legend]

## Public Types

typedef std::shared_ptr< valve_ff > | sptr

## Public Member Functions

virtual void | set_closed (bool closed)=0
virtual void | set_feed_with_zeros (bool feed_with_zeros)=0

## Static Public Member Functions

static sptr | make (bool closed, bool feed_with_zeros=false)
| Return a shared_ptr to a new instance of dab::valve_ff.

## Detailed Description

lets samples pass or not depending on the state of closed

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<valve_ff> gr::dab::valve_ff::sptr

## Member Function Documentation

## make()

sptr gr::dab::valve_ff::make | ( | bool | closed,
|  | bool | feed_with_zeros = false )

static

Return a shared_ptr to a new instance of dab::valve_ff.

To avoid accidental use of raw pointers, dab::valve_ff's constructor is in a private implementation class. dab::valve_ff::make is the public interface for creating new instances.

## set_closed()

virtual void gr::dab::valve_ff::set_closed | ( | bool | closed | ) |

pure virtual

Implemented in gr::dab::valve_ff_impl.

## set_feed_with_zeros()

virtual void gr::dab::valve_ff::set_feed_with_zeros | ( | bool | feed_with_zeros | ) |

pure virtual

Implemented in gr::dab::valve_ff_impl.

The documentation for this class was generated from the following file:

- valve_ff.h